package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * Created by JACKYGUO on 2017-02-25.
 */

public class JstkInfo {


    /**
     * Rows : [{"ponum":"P1800","itemnum":"IT02890","description":"高钠电极 100045","quantity":"10","matrectransid":"114044","returnnum":"10"},{"ponum":"P1800","itemnum":"IT01109","description":"层压钢锁38mm","quantity":"2","matrectransid":"114054","returnnum":"1"},{"ponum":"P1800","itemnum":"IT01109","description":"层压钢锁38mm","quantity":"1","matrectransid":"114058","returnnum":"1"},{"ponum":"P1800","itemnum":"IT01109","description":"层压钢锁38mm","quantity":"1","matrectransid":"114063","returnnum":"1"}]
     * Total : 4
     */

    private String Total;
    private List<Jstk> Rows;

    public String getTotal() {
        return Total;
    }

    public void setTotal(String Total) {
        this.Total = Total;
    }

    public List<Jstk> getRows() {
        return Rows;
    }

    public void setRows(List<Jstk> Rows) {
        this.Rows = Rows;
    }

    public static class Jstk {
        /**
         * ponum : P1800
         * itemnum : IT02890
         * description : 高钠电极 100045
         * quantity : 10
         * matrectransid : 114044
         * returnnum : 10
         */

        private String ponum;//采购单号
        private String itemnum;//物资编码
        private String description;//描述
        private String quantity;//接收数量
        private String matrectransid;//接收记录表ID
        private String returnnum;//要退回数量
        private boolean checked;

        public boolean isChecked() {
            return checked;
        }

        public void setChecked(boolean checked) {
            this.checked = checked;
        }

        public String getPonum() {
            return ponum;
        }

        public void setPonum(String ponum) {
            this.ponum = ponum;
        }

        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getQuantity() {
            return quantity;
        }

        public void setQuantity(String quantity) {
            this.quantity = quantity;
        }

        public String getMatrectransid() {
            return matrectransid;
        }

        public void setMatrectransid(String matrectransid) {
            this.matrectransid = matrectransid;
        }

        public String getReturnnum() {
            return returnnum;
        }

        public void setReturnnum(String returnnum) {
            this.returnnum = returnnum;
        }
    }
}
